Bug 498297 - Should not conflict with syslog-ng, rsyslog
Should not conflict with syslog-ng, rsyslog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sysklogd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 15:08 EDT by Douglas E. Warner
Modified: 2010-06-28 08:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas E. Warner 2009-04-29 15:08:27 EDT
It's been brought to my attention that sysklogd has been updated so it conflicts with rsyslog and syslog-ng; I think both packages have gone to a good deal of trouble so this should no longer be necessary, and I'm not sure why it was recently added to the F-11 branch.  Can you elaborate and/or remove it from all affected branches?
Comment 1 Jeroen van Meeuwen 2009-05-03 21:53:12 EDT
This was not added recently, instead this has been the case ever since sysklogd was re-introduced. It conflicts deliberately since otherwise it conflicts on the file level (/etc/logrotate.d/syslog with the handling of /var/log/* files to be precise).

Not sure why someone would even want/need two sysloggers anyway, this hasn't had a single use-case reported since Fedora 8.

What exactly, if any, is the solution rsyslog/syslog-ng have implemented?
Comment 2 Douglas E. Warner 2009-05-03 21:59:31 EDT
Okay, I didn't realize sysklogd was dropped/readded.

rsyslog and syslog-ng ship the same logrotate script in order to not conflict on the file level.  There's a bug open to split off a logrotate-syslog package that would be much easier to track, but no progress has been made on it.

In syslog-ng I keep my own syslog-ng.pid file and then symlink the "proper" pid file if it's the only syslogger running (like, syslog.pid on RHEL).

The use-case I could see with having multiple sysloggers would be if you wanted the stock syslogger for local logging and then run one of the other ones for remote logging/processing.
Comment 3 Bug Zapper 2009-06-09 10:48:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 10:00:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:16:07 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.